Subject: Yaron.Redirect.Servers

From: Yaron Goland <[email-masked]>
Date: Thu, 10 Feb 2000 22:33:45 -0800

The redirect spec repeatedly refers to servers, e.g. in the last sentence of
the third paragraph and the last sentence of the second to last paragraph of
the introduction. In general the term server is misleading because it
focuses the user's attention on the box. For example, a reader of the
redirect spec would most likely come away thinking that if two resources are
on the same server then one doesn't need to link them but can use some other
feature, maybe bind, since being on the same box somehow confers special
relationships. As anyone who has used files across volumes knows, being on
the same servers doesn't mean much of anything. In addition the reader is
likely to believe that bind and similar features won't work at all across
two different servers when advanced systems may be able to do this. The idea
of a server has its place for certain HTTP transport issues but should never
be mentioned in an application context. The actual physical box that a
resource resides on is largely irrelevant in terms of what features are
available between two resources. As such I move that the term "server" be
universally replaced with phrase "unrelated systems".